#version 460 core

in vec2 FragTexCoords;

uniform sampler2D ImageTexture0;
uniform sampler2D ImageTexture1;
uniform float Time;

out vec4 FragColor;

void main()
{
    vec2 frag2 = vec2(FragTexCoords.x*2.0,FragTexCoords.y*0.1+Time*0.125);
    vec3 raintex = texture(ImageTexture1,frag2).rgb/8.0;
	vec2 where = (FragTexCoords.xy-raintex.xy);
	vec3 texchur1 = texture(ImageTexture0,vec2(where.x,where.y)).rgb;
	FragColor = vec4(texchur1, 1.f);
}
